package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 认证审核状态
 *
 * @Author: liweifan
 * @Data: 2022/3/16 10:19
 */
public enum AuthStatusEnum implements BaseEnum<String, AuthStatusEnum> {
    UNPAALY("未申请"),
    DOING("审核中"),
    PASS("通过"),
    UNPASS("不通过"),
    OUT_SALE("下架"), // 曲目前台传参，转换

    ;
    @EnumValue
    private String code;
    private String name;

    AuthStatusEnum(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}